package com.adzel.addyauthreborn.utils;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.minimessage.MiniMessage;
import net.kyori.adventure.text.serializer.legacy.LegacyComponentSerializer;
import org.bukkit.entity.Player;

public class MessageUtil {

    private static final MiniMessage mini = MiniMessage.miniMessage();
    private static final LegacyComponentSerializer legacy = LegacyComponentSerializer.builder()
            .character('&')
            .hexColors()
            .build();

    public static void send(Player player, String message) {
        // Convert &x style to MiniMessage
        Component component = mini.deserialize(legacy.serialize(legacy.deserialize(message)));
        player.sendMessage(component);
    }

    public static Component parse(String message) {
        return mini.deserialize(legacy.serialize(legacy.deserialize(message)));
    }
}
